package net.t2code.alias.Spigot.config.alias;

import net.t2code.alias.Spigot.Main;
import net.t2code.lib.Spigot.Lib.messages.send;
import org.bukkit.configuration.file.YamlConfiguration;

import java.io.File;
import java.io.IOException;
import java.util.Collections;

public class AliasConfigConverter {
    /**
     * Converter 1.1
     *
     * @param yamlConfiguration
     * @param config_gui
     */

    public static void convertAliasList(YamlConfiguration yamlConfiguration, File config_gui) {
        yamlConfiguration.set("Alias.AliasList", Collections.singletonList(config_gui.getName().replace(".yml", "")));
        try {
            yamlConfiguration.save(config_gui);
        } catch (IOException e) {
            e.printStackTrace();
        }
        
        send.error(Main.getPlugin(), "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!");
        send.error(Main.getPlugin(), "");
        send.warning(Main.getPlugin(), "The " + config_gui.getName() + " file is converted to the new config format.");
        send.warning(Main.getPlugin(), "The alias is no longer the filename, this is now adjustable in the file under 'Alias.AliasList'!");
        send.warning(Main.getPlugin(), "This allows a function to have multiple alias commands without creating multiple files!");
        send.error(Main.getPlugin(), "");
        send.error(Main.getPlugin(), "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!");

    }
}
